### Function

# Ide DebugManager from_context

#### Declaration

    IdeDebugManager*
    ide_debug_manager_from_context (
      IdeContext* context
    )

#### Description

Gets the `IdeDebugManager` for a context.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDebugManager`
| An `IdeDebugManager`.
| The data is owned by the called function.